| OpenCV 5.0.0alpha Open Source Computer Vision

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | Protected Member Functions | List of all members
cv::saliency::MotionSaliencyBinWangApr2014 Class Reference
Saliency API

the Fast Self-tuning Background Subtraction Algorithm from [292] More...

`#include <opencv2/saliency/saliencySpecializedClasses.hpp>`

Collaboration diagram for cv::saliency::MotionSaliencyBinWangApr2014:

## Public Member Functions
| MotionSaliencyBinWangApr2014 ()
virtual | ~MotionSaliencyBinWangApr2014 ()
bool | computeSaliency (InputArray image, OutputArray saliencyMap)
int | getImageHeight () const
int | getImageWidth () const
bool | init ()
| This function allows the correct initialization of all data structures that will be used by the algorithm.
void | setImageHeight (int val)
void | setImagesize (int W, int H)
| This is a utility function that allows to set the correct size (taken from the input image) in the corresponding variables that will be used to size the data structures of the algorithm.
void | setImageWidth (int val)
Public Member Functions inherited from cv::saliency::Saliency
virtual | ~Saliency ()
| Destructor.
bool | computeSaliency (InputArray image, OutputArray saliencyMap)
| Compute the saliency.
Public Member Functions inherited from cv::Algorithm
| Algorithm ()
virtual | ~Algorithm ()
virtual void | clear ()
| Clears the algorithm state.
virtual bool | empty () const
| Returns true if the Algorithm is empty (e.g. in the very beginning or after unsuccessful read.
virtual String | getDefaultName () const
virtual void | read (const FileNode &fn)
| Reads algorithm parameters from a file storage.
virtual void | save (const String &filename) const
virtual void | write (FileStorage &fs) const
| Stores algorithm parameters in a file storage.
void | write (FileStorage &fs, const String &name) const

## Static Public Member Functions
static Ptr< MotionSaliencyBinWangApr2014 > | create ()
Static Public Member Functions inherited from cv::Algorithm
template<typename _Tp >
static Ptr< _Tp > | load (const String &filename, const String &objname=String())
| Loads algorithm from the file.
template<typename _Tp >
static Ptr< _Tp > | loadFromString (const String &strModel, const String &objname=String())
| Loads algorithm from a String.
template<typename _Tp >
static Ptr< _Tp > | read (const FileNode &fn)
| Reads algorithm from the file node.

## Protected Member Functions
bool | computeSaliencyImpl (InputArray image, OutputArray saliencyMap) CV_OVERRIDE
| Performs all the operations and calls all internal functions necessary for the accomplishment of the Fast Self-tuning Background Subtraction Algorithm algorithm.
Protected Member Functions inherited from cv::saliency::MotionSaliency
Protected Member Functions inherited from cv::saliency::Saliency
Protected Member Functions inherited from cv::Algorithm
void | writeFormat (FileStorage &fs) const

## Additional Inherited Members
Protected Attributes inherited from cv::saliency::Saliency
String | className

## Detailed Description

the Fast Self-tuning Background Subtraction Algorithm from [292]

A Fast Self-tuning Background Subtraction Algorithm.

This background subtraction algorithm is inspired to the work of B. Wang and P. Dudek [2] [2] B. Wang and P. Dudek "A Fast Self-tuning Background Subtraction Algorithm", in proc of IEEE Workshop on Change Detection, 2014

## Constructor & Destructor Documentation

## ◆ MotionSaliencyBinWangApr2014()

cv::saliency::MotionSaliencyBinWangApr2014::MotionSaliencyBinWangApr2014 | ( |  | ) |

## ◆ ~MotionSaliencyBinWangApr2014()

virtual cv::saliency::MotionSaliencyBinWangApr2014::~MotionSaliencyBinWangApr2014 | ( |  | ) |
| virtual

## Member Function Documentation

## ◆ computeSaliency()

bool cv::saliency::MotionSaliencyBinWangApr2014::computeSaliency | ( | InputArray | image,
|  | OutputArray | saliencyMap )
| inline

Python:
| cv.saliency.MotionSaliencyBinWangApr2014.computeSaliency( | image[, saliencyMap] | ) -> | retval, saliencyMap

Here is the call graph for this function:

## ◆ computeSaliencyImpl()

bool cv::saliency::MotionSaliencyBinWangApr2014::computeSaliencyImpl | ( | InputArray | image,
|  | OutputArray | saliencyMap )
| protected virtual

Performs all the operations and calls all internal functions necessary for the accomplishment of the Fast Self-tuning Background Subtraction Algorithm algorithm.

Parameters

  image | input image. According to the needs of this specialized algorithm, the param image is a single Mat.
  saliencyMap | Saliency Map. Is a binarized map that, in accordance with the nature of the algorithm, highlights the moving objects or areas of change in the scene. The saliency map is given by a single Mat (one for each frame of an hypothetical video stream).

Implements cv::saliency::MotionSaliency.

## ◆ create()

static Ptr< MotionSaliencyBinWangApr2014 > cv::saliency::MotionSaliencyBinWangApr2014::create | ( |  | ) |
| inline static

Python:
| cv.saliency.MotionSaliencyBinWangApr2014.create( |  | ) -> | retval
| cv.saliency.MotionSaliencyBinWangApr2014_create( |  | ) -> | retval

## ◆ getImageHeight()

int cv::saliency::MotionSaliencyBinWangApr2014::getImageHeight | ( |  | ) | const
| inline

Python:
| cv.saliency.MotionSaliencyBinWangApr2014.getImageHeight( |  | ) -> | retval

## ◆ getImageWidth()

int cv::saliency::MotionSaliencyBinWangApr2014::getImageWidth | ( |  | ) | const
| inline

Python:
| cv.saliency.MotionSaliencyBinWangApr2014.getImageWidth( |  | ) -> | retval

## ◆ init()

bool cv::saliency::MotionSaliencyBinWangApr2014::init | ( |  | ) |

Python:
| cv.saliency.MotionSaliencyBinWangApr2014.init( |  | ) -> | retval

This function allows the correct initialization of all data structures that will be used by the algorithm.

## ◆ setImageHeight()

void cv::saliency::MotionSaliencyBinWangApr2014::setImageHeight | ( | int | val | ) |
| inline

Python:
| cv.saliency.MotionSaliencyBinWangApr2014.setImageHeight( | val | ) -> | None

## ◆ setImagesize()

void cv::saliency::MotionSaliencyBinWangApr2014::setImagesize | ( | int | W,
|  | int | H )

Python:
| cv.saliency.MotionSaliencyBinWangApr2014.setImagesize( | W, H | ) -> | None

This is a utility function that allows to set the correct size (taken from the input image) in the corresponding variables that will be used to size the data structures of the algorithm.

Parameters

  W | width of input image
  H | height of input image

## ◆ setImageWidth()

void cv::saliency::MotionSaliencyBinWangApr2014::setImageWidth | ( | int | val | ) |
| inline

Python:
| cv.saliency.MotionSaliencyBinWangApr2014.setImageWidth( | val | ) -> | None

The documentation for this class was generated from the following file:

- opencv2/saliency/saliencySpecializedClasses.hpp